LexBucket.h File Reference
`#include <functional>`
`#include "groebner_defs.h"`
`#include "LiteralFactorization.h"`
`#include <boost/shared_ptr.hpp>`
`#include <queue>`
`#include <algorithm>`
`#include <utility>`
`#include <set>`
`#include <vector>`

Go to the source code of this file.

## Classes

class | polybori::groebner::LexBucket

## Namespaces

| polybori
| polybori::groebner

## Constant Groups

| polybori
| polybori::groebner

## Functions

Polynomial | polybori::groebner::without_prior_part (Polynomial p, idx_type tail_start)